## org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual
Interface IAddObjectProvider

    public interface IAddObjectProvider

Method Summary
`org.eclipse.jface.resource.ImageDescriptor` `getCreateImageDescriptor(java.lang.Object object)`
`java.lang.String` `getCreateLabel(java.lang.Object object)`
`org.eclipse.emf.ecore.EClass` `getCreateType(java.lang.Object object)`

Method Detail

### getCreateImageDescriptor

    org.eclipse.jface.resource.ImageDescriptor getCreateImageDescriptor(java.lang.Object object)

### getCreateLabel

    java.lang.String getCreateLabel(java.lang.Object object)

### getCreateType

    org.eclipse.emf.ecore.EClass getCreateType(java.lang.Object object)